<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpCore 4.3-alpha1</title>
</head><body onload="setBrowserTitle('HttpCore 4.3-alpha1: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:43:21 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="proj-risks.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:43:03 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      4,657
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      28,889
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,297
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.87
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,820
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      12,053
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.49
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5.4
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,204
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      219
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.91
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.87
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      223
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      15
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:43:03 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      4,657
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      28,889
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,297
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.87
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,820
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      12,053
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.49
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5.4
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,204
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      219
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.91
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.87
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      223
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      15
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                                            <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='proj-risks.html'">Project Risks</label>
                        </div>
                    </div>
                </li>
                                                            <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">Clover database Wed Nov 28 2012 22:43:03 CET</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop noLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
	
      <div id="deepPackageCloud"  >
      
	 	 
	       <a href="org/apache/http/pool/AbstractConnPool.html#AbstractConnPool" class="tag"
	  style="font-size: 22px;color:#0205fc"
	  title="Average Method Complexity - 2.348 , Coverage - 92.3% ">AbstractConnPool</a>
   
	 	 
	       <a href="org/apache/http/impl/AbstractHttpClientConnection.html#AbstractHttpClientConnection" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 1.444 , Coverage - 0% ">AbstractHttpClientConnection</a>
   
	 	 
	       <a href="org/apache/http/entity/AbstractHttpEntity.html#AbstractHttpEntity" class="tag"
	  style="font-size: 15px;color:#0205fc"
	  title="Average Method Complexity - 1.2 , Coverage - 96.6% ">AbstractHttpEntity</a>
   
	 	 
	       <a href="org/apache/http/message/AbstractHttpMessage.html#AbstractHttpMessage" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 1.222 , Coverage - 96.4% ">AbstractHttpMessage</a>
   
	 	 
	       <a href="org/apache/http/params/AbstractHttpParams.html#AbstractHttpParams" class="tag"
	  style="font-size: 17px;color:#b2054c"
	  title="Average Method Complexity - 1.417 , Coverage - 14% ">AbstractHttpParams</a>
   
	 	 
	       <a href="org/apache/http/impl/AbstractHttpServerConnection.html#AbstractHttpServerConnection" class="tag"
	  style="font-size: 16px;color:#e4051a"
	  title="Average Method Complexity - 1.353 , Coverage - 0% ">AbstractHttpServerConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/io/AbstractMessageParser.html#AbstractMessageParser" class="tag"
	  style="font-size: 40px;color:#1b05e3"
	  title="Average Method Complexity - 5.4 , Coverage - 84.8% ">AbstractMessageParser</a>
   
	 	 
	       <a href="org/apache/http/impl/io/AbstractMessageWriter.html#AbstractMessageWriter" class="tag"
	  style="font-size: 20px;color:#4d05b1"
	  title="Average Method Complexity - 2 , Coverage - 64% ">AbstractMessageWriter</a>
   
	 	 
	       <a href="org/apache/http/impl/io/AbstractSessionInputBuffer.html#AbstractSessionInputBuffer" class="tag"
	  style="font-size: 27px;color:#e4051a"
	  title="Average Method Complexity - 3.158 , Coverage - 0% ">AbstractSessionInputBuffer</a>
   
	 	 
	       <a href="org/apache/http/impl/io/AbstractSessionOutputBuffer.html#AbstractSessionOutputBuffer" class="tag"
	  style="font-size: 24px;color:#e4051a"
	  title="Average Method Complexity - 2.706 , Coverage - 0% ">AbstractSessionOutputBuffer</a>
   
	 	 
	       <a href="org/apache/http/util/Asserts.html#Asserts" class="tag"
	  style="font-size: 20px;color:#0205fc"
	  title="Average Method Complexity - 2 , Coverage - 90% ">Asserts</a>
   
	 	 
	       <a href="org/apache/http/impl/BHttpConnectionBase.html#BHttpConnectionBase" class="tag"
	  style="font-size: 21px;color:#4d05b1"
	  title="Average Method Complexity - 2.179 , Coverage - 65.5% ">BHttpConnectionBase</a>
   
	 	 
	       <a href="org/apache/http/impl/pool/BasicConnFactory.html#BasicConnFactory" class="tag"
	  style="font-size: 21px;color:#4d05b1"
	  title="Average Method Complexity - 2.25 , Coverage - 55.8% ">BasicConnFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/pool/BasicConnPool.html#BasicConnPool" class="tag"
	  style="font-size: 14px;color:#80057e"
	  title="Average Method Complexity - 1 , Coverage - 40% ">BasicConnPool</a>
   
	 	 
	       <a href="org/apache/http/concurrent/BasicFuture.html#BasicFuture" class="tag"
	  style="font-size: 22px;color:#0205fc"
	  title="Average Method Complexity - 2.3 , Coverage - 91.8% ">BasicFuture</a>
   
	 	 
	       <a href="org/apache/http/message/BasicHeaderElementIterator.html#BasicHeaderElementIterator" class="tag"
	  style="font-size: 25px;color:#1b05e3"
	  title="Average Method Complexity - 2.875 , Coverage - 87.8% ">BasicHeaderElementIterator</a>
   
	 	 
	       <a href="org/apache/http/message/BasicHeaderValueFormatter.html#BasicHeaderValueFormatter" class="tag"
	  style="font-size: 26px;color:#0205fc"
	  title="Average Method Complexity - 3.062 , Coverage - 92.8% ">BasicHeaderValueFormatter</a>
   
	 	 
	       <a href="org/apache/http/message/BasicHeaderValueParser.html#BasicHeaderValueParser" class="tag"
	  style="font-size: 30px;color:#0205fc"
	  title="Average Method Complexity - 3.769 , Coverage - 97.4% ">BasicHeaderValueParser</a>
   
	 	 
	       <a href="org/apache/http/protocol/BasicHttpContext.html#BasicHttpContext" class="tag"
	  style="font-size: 20px;color:#3405ca"
	  title="Average Method Complexity - 2 , Coverage - 73.8% ">BasicHttpContext</a>
   
	 	 
	       <a href="org/apache/http/entity/BasicHttpEntity.html#BasicHttpEntity" class="tag"
	  style="font-size: 16px;color:#1b05e3"
	  title="Average Method Complexity - 1.333 , Coverage - 80% ">BasicHttpEntity</a>
   
	 	 
	       <a href="org/apache/http/params/BasicHttpParams.html#BasicHttpParams" class="tag"
	  style="font-size: 16px;color:#660598"
	  title="Average Method Complexity - 1.333 , Coverage - 50% ">BasicHttpParams</a>
   
	 	 
	       <a href="org/apache/http/protocol/BasicHttpProcessor.html#BasicHttpProcessor" class="tag"
	  style="font-size: 18px;color:#990565"
	  title="Average Method Complexity - 1.739 , Coverage - 23.7% ">BasicHttpProcessor</a>
   
	 	 
	       <a href="org/apache/http/message/BasicHttpRequest.html#BasicHttpRequest" class="tag"
	  style="font-size: 15px;color:#0205fc"
	  title="Average Method Complexity - 1.167 , Coverage - 90.9% ">BasicHttpRequest</a>
   
	 	 
	       <a href="org/apache/http/message/BasicHttpResponse.html#BasicHttpResponse" class="tag"
	  style="font-size: 16px;color:#1b05e3"
	  title="Average Method Complexity - 1.312 , Coverage - 83.6% ">BasicHttpResponse</a>
   
	 	 
	       <a href="org/apache/http/message/BasicLineFormatter.html#BasicLineFormatter" class="tag"
	  style="font-size: 19px;color:#0205fc"
	  title="Average Method Complexity - 1.786 , Coverage - 98.2% ">BasicLineFormatter</a>
   
	 	 
	       <a href="org/apache/http/message/BasicLineParser.html#BasicLineParser" class="tag"
	  style="font-size: 28px;color:#3405ca"
	  title="Average Method Complexity - 3.333 , Coverage - 76.5% ">BasicLineParser</a>
   
	 	 
	       <a href="org/apache/http/message/BasicListHeaderIterator.html#BasicListHeaderIterator" class="tag"
	  style="font-size: 20px;color:#1b05e3"
	  title="Average Method Complexity - 2 , Coverage - 87.8% ">BasicListHeaderIterator</a>
   
	 	 
	       <a href="org/apache/http/impl/pool/BasicPoolEntry.html#BasicPoolEntry" class="tag"
	  style="font-size: 16px;color:#3405ca"
	  title="Average Method Complexity - 1.333 , Coverage - 71.4% ">BasicPoolEntry</a>
   
	 	 
	       <a href="org/apache/http/util/ByteArrayBuffer.html#ByteArrayBuffer" class="tag"
	  style="font-size: 23px;color:#0205fc"
	  title="Average Method Complexity - 2.611 , Coverage - 98.4% ">ByteArrayBuffer</a>
   
	 	 
	       <a href="org/apache/http/entity/ByteArrayEntity.html#ByteArrayEntity" class="tag"
	  style="font-size: 18px;color:#1b05e3"
	  title="Average Method Complexity - 1.7 , Coverage - 86.4% ">ByteArrayEntity</a>
   
	 	 
	       <a href="org/apache/http/protocol/ChainBuilder.html#ChainBuilder" class="tag"
	  style="font-size: 19px;color:#1b05e3"
	  title="Average Method Complexity - 1.778 , Coverage - 80% ">ChainBuilder</a>
   
	 	 
	       <a href="org/apache/http/util/CharArrayBuffer.html#CharArrayBuffer" class="tag"
	  style="font-size: 23px;color:#0205fc"
	  title="Average Method Complexity - 2.6 , Coverage - 97.8% ">CharArrayBuffer</a>
   
	 	 
	       <a href="org/apache/http/util/CharsetUtils.html#CharsetUtils" class="tag"
	  style="font-size: 26px;color:#e4051a"
	  title="Average Method Complexity - 3 , Coverage - 0% ">CharsetUtils</a>
   
	 	 
	       <a href="org/apache/http/impl/io/ChunkedInputStream.html#ChunkedInputStream" class="tag"
	  style="font-size: 29px;color:#0205fc"
	  title="Average Method Complexity - 3.6 , Coverage - 95% ">ChunkedInputStream</a>
   
	 	 
	       <a href="org/apache/http/impl/io/ChunkedOutputStream.html#ChunkedOutputStream" class="tag"
	  style="font-size: 18px;color:#0205fc"
	  title="Average Method Complexity - 1.583 , Coverage - 97% ">ChunkedOutputStream</a>
   
	 	 
	       <a href="org/apache/http/config/ConnectionConfig.html#ConnectionConfig" class="tag"
	  style="font-size: 14px;color:#4d05b1"
	  title="Average Method Complexity - 1 , Coverage - 63.6% ">ConnectionConfig</a>
   
	 	 
	       <a href="org/apache/http/config/ConnectionConfig.html#ConnectionConfig.Builder" class="tag"
	  style="font-size: 20px;color:#b2054c"
	  title="Average Method Complexity - 2 , Coverage - 20% ">ConnectionConfig.Builder</a>
   
	 	 
	       <a href="org/apache/http/Consts.html#Consts" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">Consts</a>
   
	 	 
	       <a href="org/apache/http/impl/io/ContentLengthInputStream.html#ContentLengthInputStream" class="tag"
	  style="font-size: 28px;color:#0205fc"
	  title="Average Method Complexity - 3.429 , Coverage - 93.1% ">ContentLengthInputStream</a>
   
	 	 
	       <a href="org/apache/http/ContentTooLongException.html#ContentTooLongException" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">ContentTooLongException</a>
   
	 	 
	       <a href="org/apache/http/entity/ContentType.html#ContentType" class="tag"
	  style="font-size: 19px;color:#0205fc"
	  title="Average Method Complexity - 1.857 , Coverage - 96.1% ">ContentType</a>
   
	 	 
	       <a href="org/apache/http/impl/DefaultBHttpClientConnection.html#DefaultBHttpClientConnection" class="tag"
	  style="font-size: 17px;color:#1b05e3"
	  title="Average Method Complexity - 1.417 , Coverage - 87.3% ">DefaultBHttpClientConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/DefaultBHttpServerConnection.html#DefaultBHttpServerConnection" class="tag"
	  style="font-size: 17px;color:#1b05e3"
	  title="Average Method Complexity - 1.455 , Coverage - 82.7% ">DefaultBHttpServerConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/DefaultConnectionReuseStrategy.html#DefaultConnectionReuseStrategy" class="tag"
	  style="font-size: 33px;color:#0205fc"
	  title="Average Method Complexity - 4.25 , Coverage - 96.9% ">DefaultConnectionReuseStrategy</a>
   
	 	 
	       <a href="org/apache/http/impl/DefaultHttpClientConnection.html#DefaultHttpClientConnection" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 1.5 , Coverage - 0% ">DefaultHttpClientConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/DefaultHttpRequestFactory.html#DefaultHttpRequestFactory" class="tag"
	  style="font-size: 24px;color:#660598"
	  title="Average Method Complexity - 2.75 , Coverage - 48.7% ">DefaultHttpRequestFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/io/DefaultHttpRequestParser.html#DefaultHttpRequestParser" class="tag"
	  style="font-size: 17px;color:#3405ca"
	  title="Average Method Complexity - 1.4 , Coverage - 75% ">DefaultHttpRequestParser</a>
   
	 	 
	       <a href="org/apache/http/impl/io/DefaultHttpRequestParserFactory.html#DefaultHttpRequestParserFactory" class="tag"
	  style="font-size: 18px;color:#1b05e3"
	  title="Average Method Complexity - 1.667 , Coverage - 83.3% ">DefaultHttpRequestParserFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/io/DefaultHttpRequestWriter.html#DefaultHttpRequestWriter" class="tag"
	  style="font-size: 14px;color:#3405ca"
	  title="Average Method Complexity - 1 , Coverage - 71.4% ">DefaultHttpRequestWriter</a>
   
	 	 
	       <a href="org/apache/http/impl/io/DefaultHttpRequestWriterFactory.html#DefaultHttpRequestWriterFactory" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 1.333 , Coverage - 88.9% ">DefaultHttpRequestWriterFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/io/DefaultHttpResponseParser.html#DefaultHttpResponseParser" class="tag"
	  style="font-size: 17px;color:#3405ca"
	  title="Average Method Complexity - 1.4 , Coverage - 75% ">DefaultHttpResponseParser</a>
   
	 	 
	       <a href="org/apache/http/impl/io/DefaultHttpResponseParserFactory.html#DefaultHttpResponseParserFactory" class="tag"
	  style="font-size: 18px;color:#1b05e3"
	  title="Average Method Complexity - 1.667 , Coverage - 83.3% ">DefaultHttpResponseParserFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/io/DefaultHttpResponseWriter.html#DefaultHttpResponseWriter" class="tag"
	  style="font-size: 14px;color:#3405ca"
	  title="Average Method Complexity - 1 , Coverage - 71.4% ">DefaultHttpResponseWriter</a>
   
	 	 
	       <a href="org/apache/http/impl/io/DefaultHttpResponseWriterFactory.html#DefaultHttpResponseWriterFactory" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 1.333 , Coverage - 88.9% ">DefaultHttpResponseWriterFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/DefaultHttpServerConnection.html#DefaultHttpServerConnection" class="tag"
	  style="font-size: 20px;color:#e4051a"
	  title="Average Method Complexity - 2 , Coverage - 0% ">DefaultHttpServerConnection</a>
   
	 	 
	       <a href="org/apache/http/protocol/DefaultedHttpContext.html#DefaultedHttpContext" class="tag"
	  style="font-size: 15px;color:#e4051a"
	  title="Average Method Complexity - 1.167 , Coverage - 0% ">DefaultedHttpContext</a>
   
	 	 
	       <a href="org/apache/http/params/DefaultedHttpParams.html#DefaultedHttpParams" class="tag"
	  style="font-size: 16px;color:#3405ca"
	  title="Average Method Complexity - 1.3 , Coverage - 76.5% ">DefaultedHttpParams</a>
   
	 	 
	       <a href="org/apache/http/util/EncodingUtils.html#EncodingUtils" class="tag"
	  style="font-size: 18px;color:#0205fc"
	  title="Average Method Complexity - 1.571 , Coverage - 89.7% ">EncodingUtils</a>
   
	 	 
	       <a href="org/apache/http/util/EntityUtils.html#EntityUtils" class="tag"
	  style="font-size: 25px;color:#4d05b1"
	  title="Average Method Complexity - 2.8 , Coverage - 62.8% ">EntityUtils</a>
   
	 	 
	       <a href="org/apache/http/util/ExceptionUtils.html#ExceptionUtils" class="tag"
	  style="font-size: 20px;color:#e4051a"
	  title="Average Method Complexity - 2 , Coverage - 0% ">ExceptionUtils</a>
   
	 	 
	       <a href="org/apache/http/entity/FileEntity.html#FileEntity" class="tag"
	  style="font-size: 16px;color:#3405ca"
	  title="Average Method Complexity - 1.222 , Coverage - 66.7% ">FileEntity</a>
   
	 	 
	       <a href="org/apache/http/protocol/HTTP.html#HTTP" class="tag"
	  style="font-size: 14px;color:#3405ca"
	  title="Average Method Complexity - 1 , Coverage - 66.7% ">HTTP</a>
   
	 	 
	       <a href="org/apache/http/message/HeaderGroup.html#HeaderGroup" class="tag"
	  style="font-size: 20px;color:#0205fc"
	  title="Average Method Complexity - 2 , Coverage - 94.6% ">HeaderGroup</a>
   
	 	 
	       <a href="org/apache/http/params/HttpAbstractParamBean.html#HttpAbstractParamBean" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpAbstractParamBean</a>
   
	 	 
	       <a href="org/apache/http/impl/HttpConnectionMetricsImpl.html#HttpConnectionMetricsImpl" class="tag"
	  style="font-size: 22px;color:#b2054c"
	  title="Average Method Complexity - 2.3 , Coverage - 15.8% ">HttpConnectionMetricsImpl</a>
   
	 	 
	       <a href="org/apache/http/params/HttpConnectionParamBean.html#HttpConnectionParamBean" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpConnectionParamBean</a>
   
	 	 
	       <a href="org/apache/http/params/HttpConnectionParams.html#HttpConnectionParams" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpConnectionParams</a>
   
	 	 
	       <a href="org/apache/http/protocol/HttpCoreContext.html#HttpCoreContext" class="tag"
	  style="font-size: 15px;color:#3405ca"
	  title="Average Method Complexity - 1.2 , Coverage - 71.7% ">HttpCoreContext</a>
   
	 	 
	       <a href="org/apache/http/entity/HttpEntityWrapper.html#HttpEntityWrapper" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="Average Method Complexity - 1 , Coverage - 90.5% ">HttpEntityWrapper</a>
   
	 	 
	       <a href="org/apache/http/HttpHeaders.html#HttpHeaders" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpHeaders</a>
   
	 	 
	       <a href="org/apache/http/HttpHost.html#HttpHost" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 1.385 , Coverage - 96.9% ">HttpHost</a>
   
	 	 
	       <a href="org/apache/http/params/HttpParamConfig.html#HttpParamConfig" class="tag"
	  style="font-size: 16px;color:#e4051a"
	  title="Average Method Complexity - 1.25 , Coverage - 0% ">HttpParamConfig</a>
   
	 	 
	       <a href="org/apache/http/protocol/HttpProcessorBuilder.html#HttpProcessorBuilder" class="tag"
	  style="font-size: 18px;color:#e4051a"
	  title="Average Method Complexity - 1.706 , Coverage - 0% ">HttpProcessorBuilder</a>
   
	 	 
	       <a href="org/apache/http/params/HttpProtocolParamBean.html#HttpProtocolParamBean" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpProtocolParamBean</a>
   
	 	 
	       <a href="org/apache/http/params/HttpProtocolParams.html#HttpProtocolParams" class="tag"
	  style="font-size: 16px;color:#cb0533"
	  title="Average Method Complexity - 1.333 , Coverage - 4.3% ">HttpProtocolParams</a>
   
	 	 
	       <a href="org/apache/http/protocol/HttpRequestHandlerRegistry.html#HttpRequestHandlerRegistry" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpRequestHandlerRegistry</a>
   
	 	 
	       <a href="org/apache/http/impl/io/HttpRequestParser.html#HttpRequestParser" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 1.5 , Coverage - 0% ">HttpRequestParser</a>
   
	 	 
	       <a href="org/apache/http/impl/io/HttpRequestWriter.html#HttpRequestWriter" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpRequestWriter</a>
   
	 	 
	       <a href="org/apache/http/impl/io/HttpResponseParser.html#HttpResponseParser" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 1.5 , Coverage - 0% ">HttpResponseParser</a>
   
	 	 
	       <a href="org/apache/http/impl/io/HttpResponseWriter.html#HttpResponseWriter" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpResponseWriter</a>
   
	 	 
	       <a href="org/apache/http/protocol/HttpService.html#HttpService" class="tag"
	  style="font-size: 20px;color:#3405ca"
	  title="Average Method Complexity - 2.062 , Coverage - 74% ">HttpService</a>
   
	 	 
	       <a href="org/apache/http/protocol/HttpService.html#HttpService.HttpRequestHandlerResolverAdapter" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpService.HttpRequestHandlerResolverAdapter</a>
   
	 	 
	       <a href="org/apache/http/impl/io/HttpTransportMetricsImpl.html#HttpTransportMetricsImpl" class="tag"
	  style="font-size: 14px;color:#4d05b1"
	  title="Average Method Complexity - 1 , Coverage - 60% ">HttpTransportMetricsImpl</a>
   
	 	 
	       <a href="org/apache/http/HttpVersion.html#HttpVersion" class="tag"
	  style="font-size: 34px;color:#1b05e3"
	  title="Average Method Complexity - 4.5 , Coverage - 82.6% ">HttpVersion</a>
   
	 	 
	       <a href="org/apache/http/impl/io/IdentityInputStream.html#IdentityInputStream" class="tag"
	  style="font-size: 18px;color:#0205fc"
	  title="Average Method Complexity - 1.6 , Coverage - 91.3% ">IdentityInputStream</a>
   
	 	 
	       <a href="org/apache/http/protocol/ImmutableHttpProcessor.html#ImmutableHttpProcessor" class="tag"
	  style="font-size: 21px;color:#80057e"
	  title="Average Method Complexity - 2.143 , Coverage - 41.9% ">ImmutableHttpProcessor</a>
   
	 	 
	       <a href="org/apache/http/entity/InputStreamEntity.html#InputStreamEntity" class="tag"
	  style="font-size: 18px;color:#1b05e3"
	  title="Average Method Complexity - 1.625 , Coverage - 86.7% ">InputStreamEntity</a>
   
	 	 
	       <a href="org/apache/http/util/LangUtils.html#LangUtils" class="tag"
	  style="font-size: 23px;color:#0205fc"
	  title="Average Method Complexity - 2.5 , Coverage - 97.2% ">LangUtils</a>
   
	 	 
	       <a href="org/apache/http/impl/entity/LaxContentLengthStrategy.html#LaxContentLengthStrategy" class="tag"
	  style="font-size: 31px;color:#0205fc"
	  title="Average Method Complexity - 4 , Coverage - 97.7% ">LaxContentLengthStrategy</a>
   
	 	 
	       <a href="org/apache/http/config/MessageConstraints.html#MessageConstraints" class="tag"
	  style="font-size: 14px;color:#4d05b1"
	  title="Average Method Complexity - 1 , Coverage - 55.6% ">MessageConstraints</a>
   
	 	 
	       <a href="org/apache/http/config/MessageConstraints.html#MessageConstraints.Builder" class="tag"
	  style="font-size: 14px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 45.5% ">MessageConstraints.Builder</a>
   
	 	 
	       <a href="org/apache/http/util/NetUtils.html#NetUtils" class="tag"
	  style="font-size: 26px;color:#e4051a"
	  title="Average Method Complexity - 3 , Coverage - 0% ">NetUtils</a>
   
	 	 
	       <a href="org/apache/http/ParseException.html#ParseException" class="tag"
	  style="font-size: 14px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 50% ">ParseException</a>
   
	 	 
	       <a href="org/apache/http/message/ParserCursor.html#ParserCursor" class="tag"
	  style="font-size: 18px;color:#660598"
	  title="Average Method Complexity - 1.571 , Coverage - 51.2% ">ParserCursor</a>
   
	 	 
	       <a href="org/apache/http/pool/PoolEntry.html#PoolEntry" class="tag"
	  style="font-size: 15px;color:#0205fc"
	  title="Average Method Complexity - 1.143 , Coverage - 96.5% ">PoolEntry</a>
   
	 	 
	       <a href="org/apache/http/pool/PoolEntryFuture.html#PoolEntryFuture" class="tag"
	  style="font-size: 21px;color:#1b05e3"
	  title="Average Method Complexity - 2.25 , Coverage - 84.2% ">PoolEntryFuture</a>
   
	 	 
	       <a href="org/apache/http/pool/PoolStats.html#PoolStats" class="tag"
	  style="font-size: 14px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 53.8% ">PoolStats</a>
   
	 	 
	       <a href="org/apache/http/ProtocolVersion.html#ProtocolVersion" class="tag"
	  style="font-size: 17px;color:#1b05e3"
	  title="Average Method Complexity - 1.462 , Coverage - 86.2% ">ProtocolVersion</a>
   
	 	 
	       <a href="org/apache/http/config/Registry.html#Registry" class="tag"
	  style="font-size: 16px;color:#1b05e3"
	  title="Average Method Complexity - 1.333 , Coverage - 81.8% ">Registry</a>
   
	 	 
	       <a href="org/apache/http/config/RegistryBuilder.html#RegistryBuilder" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="Average Method Complexity - 1 , Coverage - 85.7% ">RegistryBuilder</a>
   
	 	 
	       <a href="org/apache/http/protocol/RequestExpectContinue.html#RequestExpectContinue" class="tag"
	  style="font-size: 34px;color:#0205fc"
	  title="Average Method Complexity - 4.5 , Coverage - 90% ">RequestExpectContinue</a>
   
	 	 
	       <a href="org/apache/http/protocol/RequestUserAgent.html#RequestUserAgent" class="tag"
	  style="font-size: 22px;color:#0205fc"
	  title="Average Method Complexity - 2.333 , Coverage - 91.7% ">RequestUserAgent</a>
   
	 	 
	       <a href="org/apache/http/entity/SerializableEntity.html#SerializableEntity" class="tag"
	  style="font-size: 17px;color:#0205fc"
	  title="Average Method Complexity - 1.5 , Coverage - 90.9% ">SerializableEntity</a>
   
	 	 
	       <a href="org/apache/http/impl/io/SessionInputBufferImpl.html#SessionInputBufferImpl" class="tag"
	  style="font-size: 25px;color:#0205fc"
	  title="Average Method Complexity - 2.857 , Coverage - 96.6% ">SessionInputBufferImpl</a>
   
	 	 
	       <a href="org/apache/http/impl/io/SessionOutputBufferImpl.html#SessionOutputBufferImpl" class="tag"
	  style="font-size: 22px;color:#0205fc"
	  title="Average Method Complexity - 2.278 , Coverage - 98.6% ">SessionOutputBufferImpl</a>
   
	 	 
	       <a href="org/apache/http/config/SocketConfig.html#SocketConfig" class="tag"
	  style="font-size: 14px;color:#4d05b1"
	  title="Average Method Complexity - 1 , Coverage - 60% ">SocketConfig</a>
   
	 	 
	       <a href="org/apache/http/config/SocketConfig.html#SocketConfig.Builder" class="tag"
	  style="font-size: 14px;color:#80057e"
	  title="Average Method Complexity - 1 , Coverage - 40% ">SocketConfig.Builder</a>
   
	 	 
	       <a href="org/apache/http/impl/SocketHttpClientConnection.html#SocketHttpClientConnection" class="tag"
	  style="font-size: 21px;color:#e4051a"
	  title="Average Method Complexity - 2.111 , Coverage - 0% ">SocketHttpClientConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/SocketHttpServerConnection.html#SocketHttpServerConnection" class="tag"
	  style="font-size: 21px;color:#e4051a"
	  title="Average Method Complexity - 2.111 , Coverage - 0% ">SocketHttpServerConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/io/SocketInputBuffer.html#SocketInputBuffer" class="tag"
	  style="font-size: 20px;color:#e4051a"
	  title="Average Method Complexity - 2 , Coverage - 0% ">SocketInputBuffer</a>
   
	 	 
	       <a href="org/apache/http/impl/io/SocketOutputBuffer.html#SocketOutputBuffer" class="tag"
	  style="font-size: 26px;color:#e4051a"
	  title="Average Method Complexity - 3 , Coverage - 0% ">SocketOutputBuffer</a>
   
	 	 
	       <a href="org/apache/http/entity/StringEntity.html#StringEntity" class="tag"
	  style="font-size: 17px;color:#4d05b1"
	  title="Average Method Complexity - 1.545 , Coverage - 64% ">StringEntity</a>
   
	 	 
	       <a href="org/apache/http/protocol/SyncBasicHttpContext.html#SyncBasicHttpContext" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">SyncBasicHttpContext</a>
   
	 	 
	       <a href="org/apache/http/params/SyncBasicHttpParams.html#SyncBasicHttpParams" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">SyncBasicHttpParams</a>
   
	 	 
	       <a href="org/apache/http/protocol/UriHttpRequestHandlerMapper.html#UriHttpRequestHandlerMapper" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 1.333 , Coverage - 92.6% ">UriHttpRequestHandlerMapper</a>
   
	 	 
	       <a href="org/apache/http/protocol/UriPatternMatcher.html#UriPatternMatcher" class="tag"
	  style="font-size: 19px;color:#3405ca"
	  title="Average Method Complexity - 1.889 , Coverage - 70.2% ">UriPatternMatcher</a>
   
	 	 
	       <a href="org/apache/http/util/VersionInfo.html#VersionInfo" class="tag"
	  style="font-size: 26px;color:#e4051a"
	  title="Average Method Complexity - 3.091 , Coverage - 0% ">VersionInfo</a>
      </div>
   
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:43:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
